Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.tools.graph
Class Vertex<R>

    java.lang.Object
      org.hibernate.envers.tools.graph.Vertex<R>

    public class Vertex<R>

extends Object

A graph vertex - stores its representation, neighbours, start and end time in (D|B)FS.

Constructor Summary
`Vertex(R representation)`

Method Summary
`void` | `addNeighbour(Vertex<R> n)`
`int` | `getEndTime()`
`List<Vertex<R>>` | `getNeighbours()`
`R` | `getRepresentation()`
`int` | `getStartTime()`
`void` | `setEndTime(int endTime)`
`void` | `setStartTime(int startTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Vertex

    public Vertex(R representation)

Method Detail

### getRepresentation

    public R getRepresentation()

### getNeighbours

    public List<Vertex<R>> getNeighbours()

### addNeighbour

    public void addNeighbour(Vertex<R> n)

### getStartTime

    public int getStartTime()

### setStartTime

    public void setStartTime(int startTime)

### getEndTime

    public int getEndTime()

### setEndTime

    public void setEndTime(int endTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.